### Method

# Pango Layout set_wrap

#### Declaration [src]

    void
    pango_layout_set_wrap (
      PangoLayout* layout,
      PangoWrapMode wrap
    )

#### Description [src]

Sets the wrap mode.

The wrap mode only has effect if a width is set on the layout with `pango_layout_set_width()`. To turn off wrapping, set the width to -1.

The default value is `PANGO_WRAP_WORD`.

#### Parameters

`wrap`

  Type: `PangoWrapMode`

  The wrap mode.